> ## Documentation Index
> Fetch the complete documentation index at: https://help.visualcare.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# Contacts

> Retrieve client contacts including personal details, phone numbers, and app permissions

### GET /contacts

Retrieves client contacts.

**Parameters:**

| Parameter        | Default | Description              |
| ---------------- | ------- | ------------------------ |
| `contactId`      | -       | Returns specific contact |
| `includeDeleted` | -       | Returns deleted contacts |

**Response fields:**

| Field                     | Type   | Notes                                                      |
| ------------------------- | ------ | ---------------------------------------------------------- |
| `ContactId`               | string |                                                            |
| `Title`                   | string |                                                            |
| `FirstName`               | string |                                                            |
| `LastName`                | string |                                                            |
| `Organisation`            | string |                                                            |
| `Description`             | string |                                                            |
| `Position`                | string |                                                            |
| `DefaultContactType`      | string |                                                            |
| `EmailWork`               | string |                                                            |
| `EmailPersonal`           | string |                                                            |
| `Mobile`                  | string |                                                            |
| `MobileOther`             | string |                                                            |
| `Address1`                | string |                                                            |
| `Address2`                | string |                                                            |
| `Suburb`                  | string |                                                            |
| `State`                   | string |                                                            |
| `PostCode`                | string |                                                            |
| `Skype`                   | string |                                                            |
| `OtherContact`            | string |                                                            |
| `Area1`, `Phone1`, `Ext1` | string | Phone line 1                                               |
| `Area2`, `Phone2`, `Ext2` | string | Phone line 2                                               |
| `Area3`, `Phone3`, `Ext3` | string | Phone line 3                                               |
| `Note`                    | string |                                                            |
| `AccountNote`             | string |                                                            |
| `DOB`                     | string | Date                                                       |
| `HaccSlk`                 | string |                                                            |
| `HaccGender`              | string |                                                            |
| `HaccDobEst`              | string |                                                            |
| `HaccCountryOfBirth`      | string |                                                            |
| `HaccLanguage`            | string |                                                            |
| `HaccIndigenous`          | string |                                                            |
| `HaccState`               | string |                                                            |
| `HaccResidency`           | string |                                                            |
| `HaccRelationship`        | string |                                                            |
| `HaccMoreThanOne`         | string |                                                            |
| `PersonalContact`         | string | 0/1                                                        |
| `vClient`                 | string | 0/1                                                        |
| `WebID`                   | string |                                                            |
| `AppRequest`              | string | 0/1                                                        |
| `AppBudget`               | string | 0/1                                                        |
| `AppDoc`                  | string | 0/1                                                        |
| `AppExpense`              | string | 0/1                                                        |
| `AppQuote`                | string | 0/1                                                        |
| `AppMsg`                  | string | 0/1                                                        |
| `AppForm`                 | string | 0/1                                                        |
| `AppSign`                 | string | 0/1                                                        |
| `AppShowSWNote`           | string | 0/1                                                        |
| `Status`                  | string |                                                            |
| `_CreateTime`             | string | Date                                                       |
| `_CreateUser`             | string | Email                                                      |
| `ContactLink`             | array  | Array of objects with `CLIENT`, `LEAD`, `AGENCY` (integer) |
